/* Google Fonts https://fonts.google.com/ */
@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@500;700&display=swap');

/* Reset Styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Custom Properties */
:root {
    --very-dark-grayish-blue: hsl(217, 19%, 35%);
    --desaturated-dark-blue: hsl(214, 17%, 51%);
    --grayish-blue: hsl(212, 23%, 69%);
    --light-grayish-blue: hsl(210, 46%, 95%);
    --manrope: 'Manrope', sans-serif;
}

/* Standard Styles */
body {
    font-family: var(--manrope);
    font-size: 13px;
    font-weight: 500;
    min-height: 100vh;
    padding: 75px 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--light-grayish-blue);
    user-select: none; /* prevent user selection */
}

object {
    pointer-events: none;
}

.hover:hover {
    cursor: pointer;
}

/* Card */
.card {
    width: 730px;
    background-color: #fff;
    border-radius: 10px;
    overflow: hidden;
}

.card-picture {
    overflow: hidden;
}

.picture-img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    object-position: 0 -17px;
    display: block;
}

.info-title {
    padding: 34px 34px 0;
    font-size: 16px;
    line-height: 1.4;
    color: var(--very-dark-grayish-blue);
    margin: 10px 0 15px;
}

.info-paragraph {
    line-height: 1.5;
    color: var(--desaturated-dark-blue);
    margin-bottom: 20px;
    padding: 0 34px;
}

.info-footer {
    position: relative;
}

.footer-share {
    background-color: var(--very-dark-grayish-blue);
    width: 100%;
    height: 100%;
    z-index: 2;
    position: absolute;
    display: flex;
    align-items: center;
    padding-left: 34px;
    transform: translateX(-100%);
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
}

.share-title {
    text-transform: uppercase;
    letter-spacing: 5px;
    font-size: 13px;
    font-weight: 500;
    color: var(--grayish-blue);
}

.share-icon {
    margin-left: 15px;
}

.footer-user {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 34px;
    top: 15px;
    background-color: #fff;
    z-index: 1;
}

.user-avatar {
    width: 42px;
    border-radius: 50%;
}

.user-texts {
    flex-grow: 2;
    margin-left: 15px;
    z-index: 1;
}

.texts-name {
    color: var(--very-dark-grayish-blue);
    font-size: 13px;
    margin-bottom: 2px;
}

.texts-date {
    color: var(--grayish-blue);
}

.user-iconContainer {
    z-index: 3;
}

.user-shareIcon {
    border-radius: 50%;
    background-color: var(--light-grayish-blue);
    width: 33px;
    padding: 9px;
    display: block;
}

.iconActive {
    background-color: hsl(214, 17%, 51%);
}

/* Key Frames */
@keyframes unhide {
    from {
        transform: translateX(-100%);
    }

    to {
        transform: translateX(0);
    }
}

@keyframes hide {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-100%);
    }
}

/* Media Queries */
@media (min-width: 720px) {
    /* Card */
    .card {
        height: 280px;
        display: grid;
        grid-template-columns: 2fr 3fr;
    }

    .picture-img {
        width: 123%;
        height: 100%;
        object-fit: cover;
        object-position: initial;
    }

    .info-title {
        font-size: 20px;
        margin: 0 0 12px;
    }

    .info-paragraph {
        font-size: 13px;
        margin-bottom: 10px;
    }

    .footer-share {
        position: fixed;
        width: 250px;
        height: 55px;
        transform: scaleX(0);
        border-radius: 10px;
        padding: 0;
        justify-content: center;
        transform-origin: right;
        animation-duration: 0.3s;
    }

    .share-triangle {
        background-color: inherit;
        width: 25px;
        height: 13px;
        clip-path: polygon(50% 100%, 0 0, 100% 0);
        position: absolute;
        bottom: -13px;
        left: 115px;
    }

    /* Key Frames */
    @keyframes unhide {
        from {
            transform: translate(205px, -70px) scaleX(0);
        }

        to {
            transform: translate(260px, -70px) scaleX(1);
        }
    }

    @keyframes hide {
        from {
            transform: translate(260px, -70px) scaleX(1);
        }

        to {
            transform: translate(200px, -70px) scaleX(0);
        }
    }
}

@media (max-width: 340px) {
    /* Card */
    .share-title {
        display: none;
    }

    .facebook {
        margin-left: 0;
    }
}
